# MDG77TOGMT

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO
REFERENCES

## NAME

| mgd77togmt − Convert an MGD-77 ASCII file to a binary gmt file

## SYNOPSIS

| mgd77togmt [ −L list ] [ mgd77file ] −F legid −Y start_year [ −A information ] [ −I time_increment ] [ −V ]

## DESCRIPTION

| mgd77togmt reads an ASCII MGD-77 format file [or standard input] and creates a binary gmt file. The 16 header records specified in the MGD-77 documentation may or may not be present. If two-way travel times are available, mgd77togmt will convert those to corrected depths using the Carter tables. Both old and new (Y2K-compliant) MGD-77 files are supported.

| −L |  | Name of file with several records of the format mgd77file legid start_year. For multiple files, use this option rather than the −F −Y combination.
| −F |  | Leg id that will be used in file name (legid.gmt).
| −Y |  | The year of the first data point in the file.

## OPTIONS

| No space between the option flag and the associated arguments.

| −A |  | Set an optional 10 character information string to be stored in the header [Default is blank].
| −I |  | Used for files where time is missing. The increment is used to calculate fake times.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## EXAMPLES

| To create a gmt file from the ASCII file c2104.mgd77, run mgd77togmt c2104.mgd77 −Y1977 −Fc2104 To create new gmt files from all the mgd77 files listed in list.d: mgd77togmt −Llist.d −V

## SEE ALSO

| dat2gmt(l), GMT(l)

## REFERENCES

| Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version 4.1 Technical Reference & Cookbook, SOEST/NOAA. Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329. Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union. Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441. MGD77 Task Group, 1977, The Marine Geophysical Data Exchange Format - MGD77, Key to Geophysical Records documentation No. 10, National Geophysical and Solar-Terrestrial Data Center, Boulder, CO. Carter, D. J. T., Echo Sounding Correction Tables: Formerly Matthews’ Tables, 150 pp, Hydrographic Department, Ministry of Defense, Taunton, Somerset, England, 1980.